Subject: Re: [Mip6] HA prefix = HoA prefix?

From: Wing Cheong Lau <[email-masked]>
Date: Fri, 04 Feb 2005 08:50:07 -0800

>Date: Fri, 04 Feb 2005 08:47:37 -0800
>To: Alexandru Petrescu <[email-masked]>
>From: Wing Cheong Lau <[email-masked]>
>Subject: Re: [Mip6] HA prefix = HoA prefix?
>
>At 07:20 AM 2/4/2005, you wrote:
>>Vijay Devarapalli wrote:
>>>it is actually a bit restrictive.
>>
>>I find it not restricctive but allowing one-interface HAs 
>>non-default-routers to exist.

Dear Alex,

Removing the "HA prefix = HoA prefix" restriction would only make the 
system more flexible,
e.g. allowing virtual home-links for which the MS never returns home.

It would not preclude your case of a one-interface HAs non-default-routers, 
right ?

Or am I missing something here ?

Regards,

Wing

>>>our HA implementation does not do this check.
>>
>>Ours does.
>>
>>>instead, it just checks if the HoA of the MN falls in one of the
>>>prefixes that the HA is configured to serve.
>>
>>Ours doesn't.  Our HA is a standalone one-interface machine, does not 
>>serve a link's prefix, the link is served by a separate Gateway that is 
>>the Default Router for that link.
>>
>>>RFC 3963 relaxes this requirement for Mobile Routers. a Mobile Router
>>>has an option of configuring its HoA from the Mobile Network Prefix
>>>(delegated to the Mobile Router for use in the Mobile Network). the
>>>Mobile Network Prefix can be different from the home prefix.
>>
>>That's another issue.
>>
>>Alex
>>
>>>Vijay
>>>Pete McCann wrote:
>>>
>>>>Hi,
>>>>My apologies if this question has been raised/answered here before.
>>>>
>>>>Given the following text in RFC 3775, section 6.1.7:
>>>>
>>>>>Home Registration (H)
>>>>>The Home Registration (H) bit is set by the sending mobile node
>>>>>to request that the receiving node should act as this node's home
>>>>>  agent.  The destination of the packet carrying this message MUST
>>>>>  be that of a router sharing the same subnet prefix as the home 
>>>>> address of the mobile node in the binding.
>>>>
>>>>does this imply that the HA address (the destination of the packet)
>>>>  must share the same prefix with the home address?
>>>>A possible alternative interpretation is that the router must have some 
>>>>interface on the home link but this is not necessarily used as
>>>>  the the destination of the packet.
>>>>Thoughts?
>>>>-Pete
>>>>
>>>>_______________________________________________ Mip6 mailing list 
>>>>[email-masked] https://www1.ietf.org/mailman/listinfo/mip6
>>>
>>>_______________________________________________ Mip6 mailing list 
>>>[email-masked] https://www1.ietf.org/mailman/listinfo/mip6
>>
>>
>>
>>
>>_______________________________________________
>>Mip6 mailing list
>>[email-masked]
>>https://www1.ietf.org/mailman/listinfo/mip6

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6

---

From: Francis Dupont <[email-masked]>
Date: Fri, 04 Feb 2005 19:30:03 +0100

In your previous mail you wrote:

=> they are already allowed...

=> more flexible = more error prone.

Regards

[email-masked]

---

From: "Alpesh" <[email-masked]>
Date: Fri, 4 Feb 2005 12:10:26 -0800

Lau:

Support for "virtual homes" can be done in various ways. I don't see a
strong reason to remove this aspect from the spec..

Plus, what happens to the "DHAAD mechanism" mechanism? 

-a

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Wing Cheong Lau
> Sent: Friday, February 04, 2005 8:50 AM
> To: [email-masked]
> Removing the "HA prefix = HoA prefix" restriction would only 
> make the system more flexible, e.g. allowing virtual 
> home-links for which the MS never returns home.
> 
> It would not preclude your case of a one-interface HAs 
> non-default-routers, right ?
> 
> >>serve a link's prefix, the link is served by a separate 
> Gateway that 
> >>is the Default Router for that link.
> >>
> >>>>>The Home Registration (H) bit is set by the sending 
> mobile node to 
> >>>>>request that the receiving node should act as this node's home
> >>>>A possible alternative interpretation is that the router 
> must have 
> >>>>some interface on the home link but this is not 
> necessarily used as

---

From: Alexandru Petrescu <[email-masked]>
Date: Fri, 04 Feb 2005 23:48:19 +0100

> e.g. allowing virtual home-links for which the MS never returns home.

Let me turn your below question back: do you think that without the 
HoA's prefix matching exactly the Home Link prefix there could exist no 
virtual home-links?  It's not true: just make the HoA's prefix match 
exactly the prefix of that virtual link.  RAs work over virtual links.

> non-default-routers, right ?

I didn't say so.  If you wish to know my rhetorics, it is that removing 
that restriction makes it possible to have some particular cases of Home 
Networks.  Ok, possible.  But what is the _need_ for these 
configurations?  Why would a MH connecting to a Home Link _need_ a HoA 
that is _not_ matching the home link prefix?

Vijay, if the implementation checks the HoA be in the prefix "served" by 
  the HA, then will the implementation work when the HA does not "serve" 
the prefix?  MUST that particular implementation be configured to 
"serve" the Home Network prefix in order to be able to have MIP6 tunnels 
to MHs?  Where is this checking more exactly?  In the NC?  In the 
routing table?

Alex

---

From: Vijay Devarapalli <[email-masked]>
Date: Sun, 06 Feb 2005 23:21:52 -0800

> Plus, what happens to the "DHAAD mechanism" mechanism? 

nothing.

the MN still constructs the DHAAD anycast address from the home
prefix and send the DHAAD request to the DHAAD anycast address.
and it gets a DHAAD reply with a list of Home Agents that service
the home prefix.

Vijay

>>>>Ours doesn't.  Our HA is a standalone one-interface 
>>
>>machine, does not 
>>
>>>>>RFC 3963 relaxes this requirement for Mobile Routers. a 
>>
>>Mobile Router 
>>
>>>>>has an option of configuring its HoA from the Mobile 
>>
>>Network Prefix 
>>
>>>>>(delegated to the Mobile Router for use in the Mobile 
>>
>>Network). the 
>>
>>>>>>My apologies if this question has been raised/answered 
>>
>>here before.
>>
>>>>>>> agent.  The destination of the packet carrying this 
>>
>>message MUST
>>
>>>>>>> be that of a router sharing the same subnet prefix as 
>>
>>the home  
>>
>>>>>>does this imply that the HA address (the destination of 
>>
>>the packet)
>>

---

From: Vijay Devarapalli <[email-masked]>
Date: Sun, 06 Feb 2005 23:28:34 -0800

Alex,

Alexandru Petrescu wrote:

> the prefix?  

when the HA receieves a BU from the MN, it checks if the
HoA in the BU belongs to one of the prefixes that the HA
serves (ofcourse it performs lot more checks). if the
check fails, the HA sends a binding ack with status 132.

> MUST that particular implementation be configured to 

depends on your implementation. how do you implement
binding ack status value 132?

Vijay

---

From: suraj <[email-masked]>
Date: Mon, 07 Feb 2005 14:08:51 +0530

Hi,

Sorry for bringing a different aspect into this discussion. But I suppose
the following section of the RFC also talks about the same problem.

10.6.  Sending Prefix Information to the Mobile Node

10.6.1.  List of Home Network Prefixes

      ....

   If there are multiple home agents, differences in the advertisements

   sent by different home agents can lead to an inability to use a

   particular home address when changing to another home agent. " In

   order to ensure that the mobile nodes get the same information from

   different home agents, it is preferred that all of the home agents on

   the same link be configured in the same manner".

Such a configuration, in a way obviates the condition of a Home Address (MN)
getting a Home Agent address which is not able to serve the Home Address
Prefix, unless it is statically configured at the MN.

Any comments?

Regards,

Suraj.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Vijay Devarapalli
Sent: Monday, February 07, 2005 12:59 PM
To: Alexandru Petrescu
Cc: [email-masked]
Subject: Re: [Mip6] HA prefix = HoA prefix?

Alex,

Vijay

Mip6 mailing list

[email-masked]

---

From: Alexandru Petrescu <[email-masked]>
Date: Mon, 07 Feb 2005 12:02:08 +0100

Vijay Devarapalli wrote:
>> Vijay, if the implementation checks the HoA be in the prefix "served" 
>> by  the HA, then will the implementation work when the HA does not 
>> "serve" the prefix?  
> 
> 

Ok, status 132 if HoA not in the prefix that the HA serves.  So I was 
wondering what does it mean that the HA serves a certain prefix.  Is it 
that it has entries for that prefix in the routing table?  How is it 
actually checking: first-come first-served or longest match?

>> MUST that particular implementation be configured to "serve" the Home 
>> Network prefix in order to be able to have MIP6 tunnels to MHs?  Where 
>> is this checking more exactly?  In the NC?  In the routing table?
> 

I don't think I do...

Alex

---

From: "Alpesh" <[email-masked]>
Date: Mon, 7 Feb 2005 09:10:37 -0800

Vijay: 

All the prefixes on router?

-a 

> From: Vijay Devarapalli [mailto:[email-masked]] 
> Sent: Sunday, February 06, 2005 11:22 PM
> To: Alpesh
> Cc: 'Wing Cheong Lau'; [email-masked]
> the MN still constructs the DHAAD anycast address from the 
> home prefix and send the DHAAD request to the DHAAD anycast address.
> and it gets a DHAAD reply with a list of Home Agents that 
> service the home prefix.
> 
> Vijay
> 
> > 
> > -a
> > 
> > 
> >>From: [email-masked] [mailto:[email-masked]] 
> On Behalf 
> >>Of Wing Cheong Lau
> >>system more flexible, e.g. allowing virtual home-links for 
> which the 
> >>MS never returns home.
> >>

---

From: Vijay Devarapalli <[email-masked]>
Date: Mon, 07 Feb 2005 10:04:27 -0800

> All the prefixes on router?

I am not sure I understand. DHAAD reply contains Home Agents
addresses. the DHAAD reply will only include those Home Agents
that serve the prefix the MN sent a request for. the same prefix
based on which the MN derived the DHAAD anycast address.

Vijay

>>>Support for "virtual homes" can be done in various ways. I 
>>
>>don't see a 
>>
>>>>Removing the "HA prefix = HoA prefix" restriction would 
>>
>>only make the 
>>
>>>>>>>>>request that the receiving node should act as this 
>>
>>node's home  
>>
>>>>>>>>_______________________________________________ Mip6 
>>
>>mailing list 
>>
>>>>>>>_______________________________________________ Mip6 
>>
>>mailing list 
>>

---

From: Vijay Devarapalli <[email-masked]>
Date: Mon, 07 Feb 2005 10:09:50 -0800

Suraj,

suraj wrote:
>    particular home address when changing to another home agent.*  In*
> 
> *   order to ensure that the mobile nodes get the same information from*
> 
> *   different home agents, it is preferred that all of the home agents on*
> 
> *   _the same link be configured in the same manner_.*
> 
> Such a configuration, in a way obviates the condition of a Home Address 
> (MN) getting a Home Agent address which is not able to serve the Home 
> Address Prefix, unless it is statically configured at the MN.

there are many reasons why the MN might end up with the wrong HA.
configuration mistakes is one of them. different deployments might
use different bootstrapping mechanisms. a non-IETF standardized
mechanism might be used in a certain deployment. binding ack status
132 should enable the MN to recover in such cases.

Vijay

---

From: Vijay Devarapalli <[email-masked]>
Date: Mon, 07 Feb 2005 10:17:24 -0800

> actually checking: first-come first-served or longest match?

again, it is implementation specific. you can have a configuration
file on the HA which says what prefixes it is supposed to serve.
you can have a flag in your _ifnet_ structure which says the
interface is configured with a prefix that is a home link for some
mobile nodes.

>>> Network prefix in order to be able to have MIP6 tunnels to MHs?  
>>> Where is this checking more exactly?  In the NC?  In the routing table?
>>
>>

dont you think you should implement it?

Vijay

> 
> Alex
> 
> 
> ------------------------------------------------------------------------
>

---

From: Alexandru Petrescu <[email-masked]>
Date: Tue, 08 Feb 2005 11:58:11 +0100

> dont you think you should implement it?

You're right, maybe yes.

Alex

---

From: Alexandru Petrescu <[email-masked]>
Date: Wed, 09 Feb 2005 14:57:50 +0100

Vijay Devarapalli wrote:
> binding ack status 132 should enable the MN to recover in such cases.

On which Operating System?

Alex